public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-05-19 17:50 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2023-05-19 17:50 UTC (permalink / raw
  To: gentoo-commits

commit:     5014f42f615817dc84c4d578083326551371ba1d
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri May 19 17:49:31 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 19 17:49:42 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5014f42f

media-gfx/curtail: Stabilize 1.6.0 amd64, #906769

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/curtail/curtail-1.6.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/curtail/curtail-1.6.0.ebuild b/media-gfx/curtail/curtail-1.6.0.ebuild
index a9d903b47e6d..61dd5fe2517d 100644
--- a/media-gfx/curtail/curtail-1.6.0.ebuild
+++ b/media-gfx/curtail/curtail-1.6.0.ebuild
@@ -17,7 +17,7 @@ else
 	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
 		-> ${P}.tar.gz"
 	S="${WORKDIR}"/${P^}
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 ~x86"
 fi
 
 LICENSE="GPL-3+"


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-10-08 23:07 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2024-10-08 23:07 UTC (permalink / raw
  To: gentoo-commits

commit:     f307ade32c2ee425c4929808e17bb9a01c3e5ec0
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  8 21:24:54 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Oct  8 23:07:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f307ade3

media-gfx/curtail: bump to 1.11.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest              |  1 +
 media-gfx/curtail/curtail-1.11.0.ebuild | 71 +++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 276195371b00..d3c90a983d50 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1 +1,2 @@
 DIST curtail-1.10.0.tar.gz 205428 BLAKE2B 7a9d1c56542648cd1c4c6fe1355276896bea96a8f054d03c2e4a174e392867db05c3a6548897d31f078b2416eac8b3695cafd3977236f0b66fd10f3020e35d3a SHA512 6bd76b4cefd693199e25db112e90acaa990d2a8dbc2016bd9d55e8d1857bd9c6e94f9164691855231afeff65ae3b070c646a8dc8b446591a08509683dd4a9fb7
+DIST curtail-1.11.0.tar.gz 208900 BLAKE2B b1f9fdff8d974ba20345100b24b783c72f241e8612c28468eec424dbe8781affd88523953299a7f5d90575db7c6727e6fa7a4a1e7439dcb94c47806fb77412cf SHA512 eb5bf7400fa97d14d67a0eecaeee2c3cc6b3407b882a5ae42bb517df98429997fe4448a7852c55a39177f035764e4e544f13fb89d7a55e5b6a01a549acc71ecb

diff --git a/media-gfx/curtail/curtail-1.11.0.ebuild b/media-gfx/curtail/curtail-1.11.0.ebuild
new file mode 100644
index 000000000000..8db3728be1ae
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.11.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
+else
+	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}/${P^}"
+
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"    # Just desktop / schema / appstream file validation (fails).
+
+RDEPEND="
+	${PYTHON_DEPS}
+	gui-libs/gtk:4[introspection]
+	$(python_gen_cond_dep '
+		dev-python/pygobject:3[${PYTHON_USEDEP}]
+	')
+"
+BDEPEND="
+	${RDEPEND}
+	dev-libs/appstream-glib
+	dev-util/desktop-file-utils
+"
+RDEPEND+="
+	>=gui-libs/libadwaita-1.3.1
+	media-gfx/jpegoptim
+	media-gfx/oxipng
+	media-gfx/pngquant
+	media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+	sed -i "s|@PYTHON@|${PYTHON}|" "${S}/src/${PN}.in" || die
+
+	default
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-10-08 23:07 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2024-10-08 23:07 UTC (permalink / raw
  To: gentoo-commits

commit:     aea09bbfe88c3c9aa3b90e96ff3c770229ff597c
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  8 21:20:22 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Oct  8 23:07:10 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aea09bbf

media-gfx/curtail: drop old 1.9.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 -
 media-gfx/curtail/curtail-1.9.1.ebuild | 68 ----------------------------------
 2 files changed, 69 deletions(-)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 96cc9b80fdfd..276195371b00 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1,2 +1 @@
 DIST curtail-1.10.0.tar.gz 205428 BLAKE2B 7a9d1c56542648cd1c4c6fe1355276896bea96a8f054d03c2e4a174e392867db05c3a6548897d31f078b2416eac8b3695cafd3977236f0b66fd10f3020e35d3a SHA512 6bd76b4cefd693199e25db112e90acaa990d2a8dbc2016bd9d55e8d1857bd9c6e94f9164691855231afeff65ae3b070c646a8dc8b446591a08509683dd4a9fb7
-DIST curtail-1.9.1.tar.gz 199785 BLAKE2B 689aa8f61f3c48ed51a85c35bbc6bee136a20064cd2d03c48f630fd80c8c85b64421e77327a71a41f266bd8f9d6f0dcdc197c15657159ae74056e1b52cc8ef12 SHA512 7ff0ff10068c5ff2694f6674376edf84957759b6274740d47d11a584943b026183b13a59b777c27569b6997c3cb358694fa93c55a1136b9d1fab08e768d1a1a4

diff --git a/media-gfx/curtail/curtail-1.9.1.ebuild b/media-gfx/curtail/curtail-1.9.1.ebuild
deleted file mode 100644
index 036a248fd7e7..000000000000
--- a/media-gfx/curtail/curtail-1.9.1.ebuild
+++ /dev/null
@@ -1,68 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit gnome2-utils meson python-single-r1 xdg
-
-DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
-HOMEPAGE="https://github.com/Huluti/Curtail/"
-
-if [[ ${PV} == *9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
-else
-	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
-		-> ${P}.tar.gz"
-	S="${WORKDIR}/${P^}"
-
-	KEYWORDS="amd64 ~x86"
-fi
-
-LICENSE="GPL-3+"
-SLOT="0"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
-
-RDEPEND="
-	${PYTHON_DEPS}
-	gui-libs/gtk:4[introspection]
-	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
-"
-BDEPEND="
-	${RDEPEND}
-	dev-libs/appstream-glib
-	dev-util/desktop-file-utils
-"
-RDEPEND+="
-	>=gui-libs/libadwaita-1.3.1
-	media-gfx/jpegoptim
-	media-gfx/oxipng
-	media-gfx/pngquant
-	media-libs/libwebp
-"
-
-DOCS=( CHANGELOG.md README.md )
-
-src_prepare() {
-	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
-
-	default
-}
-
-src_install() {
-	meson_src_install
-	python_optimize
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	gnome2_schemas_update
-}
-
-pkg_postrm() {
-	xdg_pkg_postrm
-	gnome2_schemas_update
-}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-07-22  1:09 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2024-07-22  1:09 UTC (permalink / raw
  To: gentoo-commits

commit:     bb40e6aa91fdf908da1868d91c15e2582a1bb76b
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 22 01:08:51 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Jul 22 01:08:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb40e6aa

media-gfx/curtail: Stabilize 1.10.0 amd64, #936463

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/curtail/curtail-1.10.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/curtail/curtail-1.10.0.ebuild b/media-gfx/curtail/curtail-1.10.0.ebuild
index 8db3728be1ae..c698273b9338 100644
--- a/media-gfx/curtail/curtail-1.10.0.ebuild
+++ b/media-gfx/curtail/curtail-1.10.0.ebuild
@@ -19,7 +19,7 @@ else
 		-> ${P}.tar.gz"
 	S="${WORKDIR}/${P^}"
 
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 ~x86"
 fi
 
 LICENSE="GPL-3+"


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-06-15 22:23 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2024-06-15 22:23 UTC (permalink / raw
  To: gentoo-commits

commit:     568c605fc4f240864ae1f66bd94ae0cc565a0cab
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 15 21:33:01 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Jun 15 22:23:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=568c605f

media-gfx/curtail: drop old 1.8.0-r1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest                |  1 -
 media-gfx/curtail/curtail-1.8.0-r1.ebuild | 67 -------------------------------
 2 files changed, 68 deletions(-)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index cdb79f810188..2b49419c1aa6 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1,2 +1 @@
-DIST curtail-1.8.0.tar.gz 228988 BLAKE2B c04ad5aaebe8ceab1215937bb3d76ad6b2ca8cb9331011af2c6d3c8d33ee0a898fe3de0e24c0a6303b54ad0a7dd0d811f9b32321b50bbfea6b8063244be464a3 SHA512 6a8a081c0fe1b780b50c55a90f70c4d4514c49941eb9fd5924897e3961aa718af71010e8d210030e1b6028c2e33d0d19dcca5cbdcf51463b5a24d6d2e86c196c
 DIST curtail-1.9.1.tar.gz 199785 BLAKE2B 689aa8f61f3c48ed51a85c35bbc6bee136a20064cd2d03c48f630fd80c8c85b64421e77327a71a41f266bd8f9d6f0dcdc197c15657159ae74056e1b52cc8ef12 SHA512 7ff0ff10068c5ff2694f6674376edf84957759b6274740d47d11a584943b026183b13a59b777c27569b6997c3cb358694fa93c55a1136b9d1fab08e768d1a1a4

diff --git a/media-gfx/curtail/curtail-1.8.0-r1.ebuild b/media-gfx/curtail/curtail-1.8.0-r1.ebuild
deleted file mode 100644
index 34d23e02e28d..000000000000
--- a/media-gfx/curtail/curtail-1.8.0-r1.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..12} )
-
-inherit gnome2-utils meson python-single-r1 xdg
-
-DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
-HOMEPAGE="https://github.com/Huluti/Curtail/"
-
-if [[ ${PV} == *9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
-else
-	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
-		-> ${P}.tar.gz"
-	S="${WORKDIR}"/${P^}
-	KEYWORDS="amd64 ~x86"
-fi
-
-LICENSE="GPL-3+"
-SLOT="0"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
-
-RDEPEND="
-	${PYTHON_DEPS}
-	gui-libs/gtk:4[introspection]
-	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
-"
-BDEPEND="
-	${RDEPEND}
-	dev-libs/appstream-glib
-	dev-util/desktop-file-utils
-"
-RDEPEND+="
-	>=gui-libs/libadwaita-1.3.1
-	media-gfx/jpegoptim
-	media-gfx/oxipng
-	media-gfx/pngquant
-	media-libs/libwebp
-"
-
-DOCS=( CHANGELOG.md README.md )
-
-src_prepare() {
-	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
-
-	default
-}
-
-src_install() {
-	meson_src_install
-	python_optimize
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	gnome2_schemas_update
-}
-
-pkg_postrm() {
-	xdg_pkg_postrm
-	gnome2_schemas_update
-}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-06-15 22:23 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2024-06-15 22:23 UTC (permalink / raw
  To: gentoo-commits

commit:     e6d90e07bd08f760ade1d1637c1069c560a6dc1b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 15 21:35:35 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Jun 15 22:23:27 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6d90e07

media-gfx/curtail: bump to 1.10.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest              |  1 +
 media-gfx/curtail/curtail-1.10.0.ebuild | 71 +++++++++++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 2b49419c1aa6..96cc9b80fdfd 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1 +1,2 @@
+DIST curtail-1.10.0.tar.gz 205428 BLAKE2B 7a9d1c56542648cd1c4c6fe1355276896bea96a8f054d03c2e4a174e392867db05c3a6548897d31f078b2416eac8b3695cafd3977236f0b66fd10f3020e35d3a SHA512 6bd76b4cefd693199e25db112e90acaa990d2a8dbc2016bd9d55e8d1857bd9c6e94f9164691855231afeff65ae3b070c646a8dc8b446591a08509683dd4a9fb7
 DIST curtail-1.9.1.tar.gz 199785 BLAKE2B 689aa8f61f3c48ed51a85c35bbc6bee136a20064cd2d03c48f630fd80c8c85b64421e77327a71a41f266bd8f9d6f0dcdc197c15657159ae74056e1b52cc8ef12 SHA512 7ff0ff10068c5ff2694f6674376edf84957759b6274740d47d11a584943b026183b13a59b777c27569b6997c3cb358694fa93c55a1136b9d1fab08e768d1a1a4

diff --git a/media-gfx/curtail/curtail-1.10.0.ebuild b/media-gfx/curtail/curtail-1.10.0.ebuild
new file mode 100644
index 000000000000..8db3728be1ae
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.10.0.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
+else
+	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}/${P^}"
+
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"    # Just desktop / schema / appstream file validation (fails).
+
+RDEPEND="
+	${PYTHON_DEPS}
+	gui-libs/gtk:4[introspection]
+	$(python_gen_cond_dep '
+		dev-python/pygobject:3[${PYTHON_USEDEP}]
+	')
+"
+BDEPEND="
+	${RDEPEND}
+	dev-libs/appstream-glib
+	dev-util/desktop-file-utils
+"
+RDEPEND+="
+	>=gui-libs/libadwaita-1.3.1
+	media-gfx/jpegoptim
+	media-gfx/oxipng
+	media-gfx/pngquant
+	media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+	sed -i "s|@PYTHON@|${PYTHON}|" "${S}/src/${PN}.in" || die
+
+	default
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-05-24  0:34 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2024-05-24  0:34 UTC (permalink / raw
  To: gentoo-commits

commit:     85a4e5e56e3d764ab96b3c5b793b29c0aecb4ae1
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri May 24 00:34:13 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 24 00:34:13 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85a4e5e5

media-gfx/curtail: Stabilize 1.9.1 amd64, #932584

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/curtail/curtail-1.9.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/curtail/curtail-1.9.1.ebuild b/media-gfx/curtail/curtail-1.9.1.ebuild
index 222e4969754c..036a248fd7e7 100644
--- a/media-gfx/curtail/curtail-1.9.1.ebuild
+++ b/media-gfx/curtail/curtail-1.9.1.ebuild
@@ -18,7 +18,7 @@ else
 		-> ${P}.tar.gz"
 	S="${WORKDIR}/${P^}"
 
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 ~x86"
 fi
 
 LICENSE="GPL-3+"


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-04-17 22:10 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2024-04-17 22:10 UTC (permalink / raw
  To: gentoo-commits

commit:     ab81e65077d585e35e8040bc887589a8ebce3802
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 17 19:24:23 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Apr 17 22:10:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ab81e650

media-gfx/curtail: bump to 1.9.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 +
 media-gfx/curtail/curtail-1.9.1.ebuild | 68 ++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 423ee94b25e3..cdb79f810188 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1 +1,2 @@
 DIST curtail-1.8.0.tar.gz 228988 BLAKE2B c04ad5aaebe8ceab1215937bb3d76ad6b2ca8cb9331011af2c6d3c8d33ee0a898fe3de0e24c0a6303b54ad0a7dd0d811f9b32321b50bbfea6b8063244be464a3 SHA512 6a8a081c0fe1b780b50c55a90f70c4d4514c49941eb9fd5924897e3961aa718af71010e8d210030e1b6028c2e33d0d19dcca5cbdcf51463b5a24d6d2e86c196c
+DIST curtail-1.9.1.tar.gz 199785 BLAKE2B 689aa8f61f3c48ed51a85c35bbc6bee136a20064cd2d03c48f630fd80c8c85b64421e77327a71a41f266bd8f9d6f0dcdc197c15657159ae74056e1b52cc8ef12 SHA512 7ff0ff10068c5ff2694f6674376edf84957759b6274740d47d11a584943b026183b13a59b777c27569b6997c3cb358694fa93c55a1136b9d1fab08e768d1a1a4

diff --git a/media-gfx/curtail/curtail-1.9.1.ebuild b/media-gfx/curtail/curtail-1.9.1.ebuild
new file mode 100644
index 000000000000..222e4969754c
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.9.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
+else
+	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}/${P^}"
+
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
+
+RDEPEND="
+	${PYTHON_DEPS}
+	gui-libs/gtk:4[introspection]
+	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+"
+BDEPEND="
+	${RDEPEND}
+	dev-libs/appstream-glib
+	dev-util/desktop-file-utils
+"
+RDEPEND+="
+	>=gui-libs/libadwaita-1.3.1
+	media-gfx/jpegoptim
+	media-gfx/oxipng
+	media-gfx/pngquant
+	media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
+
+	default
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-04-14 15:33 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2024-04-14 15:33 UTC (permalink / raw
  To: gentoo-commits

commit:     7a41e800d90cb28d1a8a2d72b5609c1842bdf89a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 14 15:24:02 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Apr 14 15:33:43 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7a41e800

media-gfx/curtail: enable py3.12 compat

Closes: https://bugs.gentoo.org/929614
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/{curtail-1.8.0.ebuild => curtail-1.8.0-r1.ebuild} | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/curtail/curtail-1.8.0.ebuild b/media-gfx/curtail/curtail-1.8.0-r1.ebuild
similarity index 97%
rename from media-gfx/curtail/curtail-1.8.0.ebuild
rename to media-gfx/curtail/curtail-1.8.0-r1.ebuild
index c60211abeb15..34d23e02e28d 100644
--- a/media-gfx/curtail/curtail-1.8.0.ebuild
+++ b/media-gfx/curtail/curtail-1.8.0-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit gnome2-utils meson python-single-r1 xdg
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-04-11  1:38 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2024-04-11  1:38 UTC (permalink / raw
  To: gentoo-commits

commit:     b080027c2d300dc979973aa5ac9fbebebbb99751
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 10 23:52:24 2024 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Apr 11 01:38:44 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b080027c

media-gfx/curtail: drop old 1.7.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 -
 media-gfx/curtail/curtail-1.7.0.ebuild | 67 ----------------------------------
 2 files changed, 68 deletions(-)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index d642c5ec08dc..423ee94b25e3 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1,2 +1 @@
-DIST curtail-1.7.0.tar.gz 217253 BLAKE2B 3d32bf01fbada5ec6b52ccd15f3d941f1e2e017c482ebb02bbb8aec72144009284499f041ff10303742476d94569c4b3cd83297f37442bca19f005d15de78613 SHA512 360ec398bd6f56e9b6664e446f85eea49552d9d24cb59527599dd0f3c0265e7495c3052ec7b77c7373cbb23983b392641b003c0ad29d8fc63f7bf94ff971f7f4
 DIST curtail-1.8.0.tar.gz 228988 BLAKE2B c04ad5aaebe8ceab1215937bb3d76ad6b2ca8cb9331011af2c6d3c8d33ee0a898fe3de0e24c0a6303b54ad0a7dd0d811f9b32321b50bbfea6b8063244be464a3 SHA512 6a8a081c0fe1b780b50c55a90f70c4d4514c49941eb9fd5924897e3961aa718af71010e8d210030e1b6028c2e33d0d19dcca5cbdcf51463b5a24d6d2e86c196c

diff --git a/media-gfx/curtail/curtail-1.7.0.ebuild b/media-gfx/curtail/curtail-1.7.0.ebuild
deleted file mode 100644
index da8cd30f56a5..000000000000
--- a/media-gfx/curtail/curtail-1.7.0.ebuild
+++ /dev/null
@@ -1,67 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit gnome2-utils meson python-single-r1 xdg
-
-DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
-HOMEPAGE="https://github.com/Huluti/Curtail/"
-
-if [[ ${PV} == *9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
-else
-	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
-		-> ${P}.tar.gz"
-	S="${WORKDIR}"/${P^}
-	KEYWORDS="amd64 ~x86"
-fi
-
-LICENSE="GPL-3+"
-SLOT="0"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
-
-RDEPEND="
-	${PYTHON_DEPS}
-	gui-libs/gtk:4[introspection]
-	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
-"
-BDEPEND="
-	${RDEPEND}
-	dev-libs/appstream-glib
-	dev-util/desktop-file-utils
-"
-RDEPEND+="
-	>=gui-libs/libadwaita-1.3.1
-	media-gfx/jpegoptim
-	media-gfx/oxipng
-	media-gfx/pngquant
-	media-libs/libwebp
-"
-
-DOCS=( CHANGELOG.md README.md )
-
-src_prepare() {
-	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
-
-	default
-}
-
-src_install() {
-	meson_src_install
-	python_optimize
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	gnome2_schemas_update
-}
-
-pkg_postrm() {
-	xdg_pkg_postrm
-	gnome2_schemas_update
-}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2024-01-06  9:50 Michał Górny
  0 siblings, 0 replies; 19+ messages in thread
From: Michał Górny @ 2024-01-06  9:50 UTC (permalink / raw
  To: gentoo-commits

commit:     003920761b1bbf50b65a3b7a608135ea894f54e0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  6 09:50:06 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan  6 09:50:06 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=00392076

media-gfx/curtail: Stabilize 1.8.0 amd64, #921423

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 media-gfx/curtail/curtail-1.8.0.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/media-gfx/curtail/curtail-1.8.0.ebuild b/media-gfx/curtail/curtail-1.8.0.ebuild
index f85559ce168f..c60211abeb15 100644
--- a/media-gfx/curtail/curtail-1.8.0.ebuild
+++ b/media-gfx/curtail/curtail-1.8.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
@@ -17,7 +17,7 @@ else
 	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
 		-> ${P}.tar.gz"
 	S="${WORKDIR}"/${P^}
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 ~x86"
 fi
 
 LICENSE="GPL-3+"


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-11-30 16:54 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2023-11-30 16:54 UTC (permalink / raw
  To: gentoo-commits

commit:     dabfe0d86ccf34dbdf547f5b84aa25bb58bd7ab1
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Nov 30 08:21:30 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Nov 30 16:52:25 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dabfe0d8

media-gfx/curtail: bump to 1.8.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 +
 media-gfx/curtail/curtail-1.8.0.ebuild | 67 ++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 48808bf4c8c2..d642c5ec08dc 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1 +1,2 @@
 DIST curtail-1.7.0.tar.gz 217253 BLAKE2B 3d32bf01fbada5ec6b52ccd15f3d941f1e2e017c482ebb02bbb8aec72144009284499f041ff10303742476d94569c4b3cd83297f37442bca19f005d15de78613 SHA512 360ec398bd6f56e9b6664e446f85eea49552d9d24cb59527599dd0f3c0265e7495c3052ec7b77c7373cbb23983b392641b003c0ad29d8fc63f7bf94ff971f7f4
+DIST curtail-1.8.0.tar.gz 228988 BLAKE2B c04ad5aaebe8ceab1215937bb3d76ad6b2ca8cb9331011af2c6d3c8d33ee0a898fe3de0e24c0a6303b54ad0a7dd0d811f9b32321b50bbfea6b8063244be464a3 SHA512 6a8a081c0fe1b780b50c55a90f70c4d4514c49941eb9fd5924897e3961aa718af71010e8d210030e1b6028c2e33d0d19dcca5cbdcf51463b5a24d6d2e86c196c

diff --git a/media-gfx/curtail/curtail-1.8.0.ebuild b/media-gfx/curtail/curtail-1.8.0.ebuild
new file mode 100644
index 000000000000..f85559ce168f
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.8.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
+else
+	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}"/${P^}
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
+
+RDEPEND="
+	${PYTHON_DEPS}
+	gui-libs/gtk:4[introspection]
+	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+"
+BDEPEND="
+	${RDEPEND}
+	dev-libs/appstream-glib
+	dev-util/desktop-file-utils
+"
+RDEPEND+="
+	>=gui-libs/libadwaita-1.3.1
+	media-gfx/jpegoptim
+	media-gfx/oxipng
+	media-gfx/pngquant
+	media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
+
+	default
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-09-02 14:30 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2023-09-02 14:30 UTC (permalink / raw
  To: gentoo-commits

commit:     e038a444483e097b34df67a8a6990d3b95f33d82
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  2 14:24:10 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Sep  2 14:30:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e038a444

media-gfx/curtail: drop old 1.6.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 -
 media-gfx/curtail/curtail-1.6.0.ebuild | 66 ----------------------------------
 2 files changed, 67 deletions(-)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index b58a312b1ce3..48808bf4c8c2 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1,2 +1 @@
-DIST curtail-1.6.0.tar.gz 169234 BLAKE2B 7da8423cb0c4c169b07a770dcd75cabcf34a5b57bfa2aec814ae23eb60e9b3b0638040bb8223d90a1ab052f802dc3d0374f630fc184f2ac394a5c288aafe38f7 SHA512 9f2cc35d606a8c3629c43fde63e4b636021ea58aeaeb81f39f2a3129f7c05cfcb519f7ef6be53788cd9c975babff2f3917dab652b4e33fe7b768a603281f60c3
 DIST curtail-1.7.0.tar.gz 217253 BLAKE2B 3d32bf01fbada5ec6b52ccd15f3d941f1e2e017c482ebb02bbb8aec72144009284499f041ff10303742476d94569c4b3cd83297f37442bca19f005d15de78613 SHA512 360ec398bd6f56e9b6664e446f85eea49552d9d24cb59527599dd0f3c0265e7495c3052ec7b77c7373cbb23983b392641b003c0ad29d8fc63f7bf94ff971f7f4

diff --git a/media-gfx/curtail/curtail-1.6.0.ebuild b/media-gfx/curtail/curtail-1.6.0.ebuild
deleted file mode 100644
index 61dd5fe2517d..000000000000
--- a/media-gfx/curtail/curtail-1.6.0.ebuild
+++ /dev/null
@@ -1,66 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit gnome2-utils meson python-single-r1 xdg
-
-DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
-HOMEPAGE="https://github.com/Huluti/Curtail/"
-
-if [[ ${PV} == *9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
-else
-	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
-		-> ${P}.tar.gz"
-	S="${WORKDIR}"/${P^}
-	KEYWORDS="amd64 ~x86"
-fi
-
-LICENSE="GPL-3+"
-SLOT="0"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
-
-RDEPEND="
-	${PYTHON_DEPS}
-	gui-libs/gtk:4[introspection]
-	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
-"
-BDEPEND="
-	${RDEPEND}
-	dev-libs/appstream-glib
-	dev-util/desktop-file-utils
-"
-RDEPEND+="
-	media-gfx/jpegoptim
-	media-gfx/optipng
-	media-gfx/pngquant
-	media-libs/libwebp
-"
-
-DOCS=( CHANGELOG.md README.md )
-
-src_prepare() {
-	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
-
-	default
-}
-
-src_install() {
-	meson_src_install
-	python_optimize
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	gnome2_schemas_update
-}
-
-pkg_postrm() {
-	xdg_pkg_postrm
-	gnome2_schemas_update
-}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-09-02 14:30 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2023-09-02 14:30 UTC (permalink / raw
  To: gentoo-commits

commit:     ad572885be6f4be210b7c2b66a9a60e9d1f5e2d3
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Sep  2 14:24:06 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Sep  2 14:30:00 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad572885

media-gfx/curtail: drop old 1.3.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 -
 media-gfx/curtail/curtail-1.3.1.ebuild | 60 ----------------------------------
 2 files changed, 61 deletions(-)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 297ab7a52d43..b58a312b1ce3 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1,3 +1,2 @@
-DIST curtail-1.3.1.tar.gz 176042 BLAKE2B 0757c3c3eed24fea8f1493021d30df40fd8c78dad3bfd7f63cfaa83f36d36f69c47ba4e41a53a7a4299d436fb978ae3fc31afa07b5a1c9d82a6400a17c104966 SHA512 47d1b3939eaeaa3d27c497318bc80d0b7cb1c2674d66ed17c8cc5e6206b3efce7867ff01542b40ee6a4b4127160f2baed084b5b99cf518f2438dcf53af425f89
 DIST curtail-1.6.0.tar.gz 169234 BLAKE2B 7da8423cb0c4c169b07a770dcd75cabcf34a5b57bfa2aec814ae23eb60e9b3b0638040bb8223d90a1ab052f802dc3d0374f630fc184f2ac394a5c288aafe38f7 SHA512 9f2cc35d606a8c3629c43fde63e4b636021ea58aeaeb81f39f2a3129f7c05cfcb519f7ef6be53788cd9c975babff2f3917dab652b4e33fe7b768a603281f60c3
 DIST curtail-1.7.0.tar.gz 217253 BLAKE2B 3d32bf01fbada5ec6b52ccd15f3d941f1e2e017c482ebb02bbb8aec72144009284499f041ff10303742476d94569c4b3cd83297f37442bca19f005d15de78613 SHA512 360ec398bd6f56e9b6664e446f85eea49552d9d24cb59527599dd0f3c0265e7495c3052ec7b77c7373cbb23983b392641b003c0ad29d8fc63f7bf94ff971f7f4

diff --git a/media-gfx/curtail/curtail-1.3.1.ebuild b/media-gfx/curtail/curtail-1.3.1.ebuild
deleted file mode 100644
index c0e081c90a01..000000000000
--- a/media-gfx/curtail/curtail-1.3.1.ebuild
+++ /dev/null
@@ -1,60 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit gnome2-utils meson python-single-r1 xdg
-
-DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
-HOMEPAGE="https://github.com/Huluti/Curtail/"
-SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
-	-> ${P}.tar.gz"
-S="${WORKDIR}"/${P^}
-
-LICENSE="GPL-3+"
-SLOT="0"
-KEYWORDS="amd64 ~x86"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
-
-RDEPEND="
-	${PYTHON_DEPS}
-	>=x11-libs/gtk+-3.20:3[introspection]
-	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
-"
-BDEPEND="
-	${RDEPEND}
-	dev-libs/appstream-glib
-	dev-util/desktop-file-utils
-"
-RDEPEND+="
-	media-gfx/jpegoptim
-	media-gfx/optipng
-	media-gfx/pngquant
-	media-libs/libwebp
-"
-
-DOCS=( CHANGELOG.md README.md )
-
-src_prepare() {
-	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
-
-	default
-}
-
-src_install() {
-	meson_src_install
-	python_optimize
-}
-
-pkg_postinst() {
-	xdg_pkg_postinst
-	gnome2_schemas_update
-}
-
-pkg_postrm() {
-	xdg_pkg_postrm
-	gnome2_schemas_update
-}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-05-28 23:41 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2023-05-28 23:41 UTC (permalink / raw
  To: gentoo-commits

commit:     4ad20aeea70b971db3adb32f13f128840cc1acd3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun May 28 23:41:13 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May 28 23:41:13 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ad20aee

media-gfx/curtail: Stabilize 1.7.0 amd64, #907335

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/curtail/curtail-1.7.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/curtail/curtail-1.7.0.ebuild b/media-gfx/curtail/curtail-1.7.0.ebuild
index f85559ce168f..da8cd30f56a5 100644
--- a/media-gfx/curtail/curtail-1.7.0.ebuild
+++ b/media-gfx/curtail/curtail-1.7.0.ebuild
@@ -17,7 +17,7 @@ else
 	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
 		-> ${P}.tar.gz"
 	S="${WORKDIR}"/${P^}
-	KEYWORDS="~amd64 ~x86"
+	KEYWORDS="amd64 ~x86"
 fi
 
 LICENSE="GPL-3+"


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-04-28 16:52 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2023-04-28 16:52 UTC (permalink / raw
  To: gentoo-commits

commit:     6ef160a5b87f2f8306e159fc55fd65a1e5bea0c0
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 28 16:44:03 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Apr 28 16:52:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ef160a5

media-gfx/curtail: bump to 1.7.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 +
 media-gfx/curtail/curtail-1.7.0.ebuild | 67 ++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 0199bb4fc791..297ab7a52d43 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1,2 +1,3 @@
 DIST curtail-1.3.1.tar.gz 176042 BLAKE2B 0757c3c3eed24fea8f1493021d30df40fd8c78dad3bfd7f63cfaa83f36d36f69c47ba4e41a53a7a4299d436fb978ae3fc31afa07b5a1c9d82a6400a17c104966 SHA512 47d1b3939eaeaa3d27c497318bc80d0b7cb1c2674d66ed17c8cc5e6206b3efce7867ff01542b40ee6a4b4127160f2baed084b5b99cf518f2438dcf53af425f89
 DIST curtail-1.6.0.tar.gz 169234 BLAKE2B 7da8423cb0c4c169b07a770dcd75cabcf34a5b57bfa2aec814ae23eb60e9b3b0638040bb8223d90a1ab052f802dc3d0374f630fc184f2ac394a5c288aafe38f7 SHA512 9f2cc35d606a8c3629c43fde63e4b636021ea58aeaeb81f39f2a3129f7c05cfcb519f7ef6be53788cd9c975babff2f3917dab652b4e33fe7b768a603281f60c3
+DIST curtail-1.7.0.tar.gz 217253 BLAKE2B 3d32bf01fbada5ec6b52ccd15f3d941f1e2e017c482ebb02bbb8aec72144009284499f041ff10303742476d94569c4b3cd83297f37442bca19f005d15de78613 SHA512 360ec398bd6f56e9b6664e446f85eea49552d9d24cb59527599dd0f3c0265e7495c3052ec7b77c7373cbb23983b392641b003c0ad29d8fc63f7bf94ff971f7f4

diff --git a/media-gfx/curtail/curtail-1.7.0.ebuild b/media-gfx/curtail/curtail-1.7.0.ebuild
new file mode 100644
index 000000000000..f85559ce168f
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.7.0.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
+else
+	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}"/${P^}
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
+
+RDEPEND="
+	${PYTHON_DEPS}
+	gui-libs/gtk:4[introspection]
+	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+"
+BDEPEND="
+	${RDEPEND}
+	dev-libs/appstream-glib
+	dev-util/desktop-file-utils
+"
+RDEPEND+="
+	>=gui-libs/libadwaita-1.3.1
+	media-gfx/jpegoptim
+	media-gfx/oxipng
+	media-gfx/pngquant
+	media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
+
+	default
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-04-05 20:19 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2023-04-05 20:19 UTC (permalink / raw
  To: gentoo-commits

commit:     1e01a978d856e3792c6162c2c0fc4f1e9bf7f2dd
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  5 19:48:39 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Apr  5 20:19:03 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e01a978

media-gfx/curtail: bump to 1.6.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 +
 media-gfx/curtail/curtail-1.6.0.ebuild | 66 ++++++++++++++++++++++++++++++++++
 2 files changed, 67 insertions(+)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
index 038023e9dd0a..0199bb4fc791 100644
--- a/media-gfx/curtail/Manifest
+++ b/media-gfx/curtail/Manifest
@@ -1 +1,2 @@
 DIST curtail-1.3.1.tar.gz 176042 BLAKE2B 0757c3c3eed24fea8f1493021d30df40fd8c78dad3bfd7f63cfaa83f36d36f69c47ba4e41a53a7a4299d436fb978ae3fc31afa07b5a1c9d82a6400a17c104966 SHA512 47d1b3939eaeaa3d27c497318bc80d0b7cb1c2674d66ed17c8cc5e6206b3efce7867ff01542b40ee6a4b4127160f2baed084b5b99cf518f2438dcf53af425f89
+DIST curtail-1.6.0.tar.gz 169234 BLAKE2B 7da8423cb0c4c169b07a770dcd75cabcf34a5b57bfa2aec814ae23eb60e9b3b0638040bb8223d90a1ab052f802dc3d0374f630fc184f2ac394a5c288aafe38f7 SHA512 9f2cc35d606a8c3629c43fde63e4b636021ea58aeaeb81f39f2a3129f7c05cfcb519f7ef6be53788cd9c975babff2f3917dab652b4e33fe7b768a603281f60c3

diff --git a/media-gfx/curtail/curtail-1.6.0.ebuild b/media-gfx/curtail/curtail-1.6.0.ebuild
new file mode 100644
index 000000000000..a9d903b47e6d
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.6.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/Huluti/${PN^}.git"
+else
+	SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}"/${P^}
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
+
+RDEPEND="
+	${PYTHON_DEPS}
+	gui-libs/gtk:4[introspection]
+	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+"
+BDEPEND="
+	${RDEPEND}
+	dev-libs/appstream-glib
+	dev-util/desktop-file-utils
+"
+RDEPEND+="
+	media-gfx/jpegoptim
+	media-gfx/optipng
+	media-gfx/pngquant
+	media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
+
+	default
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-03-26  1:03 Sam James
  0 siblings, 0 replies; 19+ messages in thread
From: Sam James @ 2023-03-26  1:03 UTC (permalink / raw
  To: gentoo-commits

commit:     2a376e738185a9c019b8c588ed245e67ba52b3b4
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 26 01:03:02 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Mar 26 01:03:02 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2a376e73

media-gfx/curtail: Stabilize 1.3.1 amd64, #903075

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-gfx/curtail/curtail-1.3.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/media-gfx/curtail/curtail-1.3.1.ebuild b/media-gfx/curtail/curtail-1.3.1.ebuild
index 0077c4c0406c..c0e081c90a01 100644
--- a/media-gfx/curtail/curtail-1.3.1.ebuild
+++ b/media-gfx/curtail/curtail-1.3.1.ebuild
@@ -15,7 +15,7 @@ S="${WORKDIR}"/${P^}
 
 LICENSE="GPL-3+"
 SLOT="0"
-KEYWORDS="~amd64 ~x86"
+KEYWORDS="amd64 ~x86"
 REQUIRED_USE="${PYTHON_REQUIRED_USE}"
 RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
 


^ permalink raw reply related	[flat|nested] 19+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/
@ 2023-02-21  2:03 Maciej Barć
  0 siblings, 0 replies; 19+ messages in thread
From: Maciej Barć @ 2023-02-21  2:03 UTC (permalink / raw
  To: gentoo-commits

commit:     c100a7965b08725a52ff47a49a0e036b55537037
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 21 01:12:49 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Feb 21 01:50:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c100a796

media-gfx/curtail: new package; add 1.3.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 media-gfx/curtail/Manifest             |  1 +
 media-gfx/curtail/curtail-1.3.1.ebuild | 60 ++++++++++++++++++++++++++++++++++
 media-gfx/curtail/metadata.xml         | 20 ++++++++++++
 3 files changed, 81 insertions(+)

diff --git a/media-gfx/curtail/Manifest b/media-gfx/curtail/Manifest
new file mode 100644
index 000000000000..038023e9dd0a
--- /dev/null
+++ b/media-gfx/curtail/Manifest
@@ -0,0 +1 @@
+DIST curtail-1.3.1.tar.gz 176042 BLAKE2B 0757c3c3eed24fea8f1493021d30df40fd8c78dad3bfd7f63cfaa83f36d36f69c47ba4e41a53a7a4299d436fb978ae3fc31afa07b5a1c9d82a6400a17c104966 SHA512 47d1b3939eaeaa3d27c497318bc80d0b7cb1c2674d66ed17c8cc5e6206b3efce7867ff01542b40ee6a4b4127160f2baed084b5b99cf518f2438dcf53af425f89

diff --git a/media-gfx/curtail/curtail-1.3.1.ebuild b/media-gfx/curtail/curtail-1.3.1.ebuild
new file mode 100644
index 000000000000..0077c4c0406c
--- /dev/null
+++ b/media-gfx/curtail/curtail-1.3.1.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit gnome2-utils meson python-single-r1 xdg
+
+DESCRIPTION="Image compressor, supporting PNG, JPEG and WebP"
+HOMEPAGE="https://github.com/Huluti/Curtail/"
+SRC_URI="https://github.com/Huluti/${PN^}/archive/${PV}.tar.gz
+	-> ${P}.tar.gz"
+S="${WORKDIR}"/${P^}
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="test"  # Just desktop / schema / appstream file validation (fails).
+
+RDEPEND="
+	${PYTHON_DEPS}
+	>=x11-libs/gtk+-3.20:3[introspection]
+	$(python_gen_cond_dep 'dev-python/pygobject:3[${PYTHON_USEDEP}]')
+"
+BDEPEND="
+	${RDEPEND}
+	dev-libs/appstream-glib
+	dev-util/desktop-file-utils
+"
+RDEPEND+="
+	media-gfx/jpegoptim
+	media-gfx/optipng
+	media-gfx/pngquant
+	media-libs/libwebp
+"
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+	sed -i "s|@PYTHON@|${PYTHON}|" "${S}"/src/${PN}.in || die
+
+	default
+}
+
+src_install() {
+	meson_src_install
+	python_optimize
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+	gnome2_schemas_update
+}
+
+pkg_postrm() {
+	xdg_pkg_postrm
+	gnome2_schemas_update
+}

diff --git a/media-gfx/curtail/metadata.xml b/media-gfx/curtail/metadata.xml
new file mode 100644
index 000000000000..f46007665087
--- /dev/null
+++ b/media-gfx/curtail/metadata.xml
@@ -0,0 +1,20 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="person">
+    <email>xgqt@gentoo.org</email>
+    <name>Maciej Barć</name>
+  </maintainer>
+  <longdescription>
+    Curtail (previously ImCompressor) is an useful image compressor, supporting
+    PNG, JPEG and WebP file types. It support both lossless and lossy
+    compression modes with an option to whether keep or not metadata of images.
+    It is inspired by Trimage and Image-Optimizer.
+  </longdescription>
+  <upstream>
+    <changelog>https://raw.githubusercontent.com/Huluti/Curtail/master/CHANGELOG.md</changelog>
+    <bugs-to>https://github.com/Huluti/Curtail/issues/</bugs-to>
+    <remote-id type="github">Huluti/Curtail</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 19+ messages in thread

end of thread, other threads:[~2024-10-08 23:07 UTC | newest]

Thread overview: 19+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-05-19 17:50 [gentoo-commits] repo/gentoo:master commit in: media-gfx/curtail/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2024-10-08 23:07 Maciej Barć
2024-10-08 23:07 Maciej Barć
2024-07-22  1:09 Sam James
2024-06-15 22:23 Maciej Barć
2024-06-15 22:23 Maciej Barć
2024-05-24  0:34 Sam James
2024-04-17 22:10 Maciej Barć
2024-04-14 15:33 Maciej Barć
2024-04-11  1:38 Maciej Barć
2024-01-06  9:50 Michał Górny
2023-11-30 16:54 Maciej Barć
2023-09-02 14:30 Maciej Barć
2023-09-02 14:30 Maciej Barć
2023-05-28 23:41 Sam James
2023-04-28 16:52 Maciej Barć
2023-04-05 20:19 Maciej Barć
2023-03-26  1:03 Sam James
2023-02-21  2:03 Maciej Barć

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox